http://catalog.marketplace.{region}.amazonaws.com/ListEntitiesProvides the list of entities of a given type.
Pagination limit
Pagination token
An object that contains two attributes, <code>SortBy</code> and <code>SortOrder</code>.
The catalog related to the request. Fixed value: <code>AWSMarketplace</code>
The value of the next token, if it exists. Null if there are no more results.
The type of entities to retrieve.
An array of filter objects. Each filter object contains two attributes, <code>filterName</code> and <code>filterValues</code>.
Specifies the upper limit of the elements on a single page. If a value isn't provided, the default value is 20.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://catalog.marketplace.{region}.amazonaws.com/ListEntities' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://catalog.marketplace.{region}.amazonaws.com/ListEntitiesProvides the list of entities of a given type.
Pagination limit
Pagination token
An object that contains two attributes, <code>SortBy</code> and <code>SortOrder</code>.
The catalog related to the request. Fixed value: <code>AWSMarketplace</code>
The value of the next token, if it exists. Null if there are no more results.
The type of entities to retrieve.
An array of filter objects. Each filter object contains two attributes, <code>filterName</code> and <code>filterValues</code>.
Specifies the upper limit of the elements on a single page. If a value isn't provided, the default value is 20.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://catalog.marketplace.{region}.amazonaws.com/ListEntities' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}